Subject: [ntpwg] Comments about draft-stenn-ntp-extension-fields

From: Tal Mizrahi <[email-masked]>
Date: Wed, 22 Feb 2017 08:37:58 +0000

Hi,

After having reviewed the draft, here is my take on it.

I recommend to let the draft expire, and not to pursue it.

The draft touches two main topics:

1.       Redefining the format of the <Field Type> field:
I believe it would be best to leave the <Field Type> as currently defined in RFC5905: a 16-bit IANA defined value. Specifically, in RFC5906 the field is broken down into a few sub-fields that comply to the RFC5906-IANA-assigned-fields.
We asked the working group whether there is interest to change the semantics of the <Field Type>, and there were zero responses.
This strengthens the motivation to not change anything.

2.       Updating the extension field detection logic:
The way I see it the draft suggests three main changes compared to the current logic: (1) Avoid the at-least-28-octet logic that was defined in RFC5906 and RFC7822, (2) Detect the Last-EF, and (3) Detect MAC-EF.
I believe (1) would cause ambiguous parsing logic. I believe (2) and (3) should be defined in their own drafts if the WG is interested to pursue them.
The bottom line is that I would suggest to let this draft expire and not to pursue it.
The MAC-EF and Last-EF can be pursued in different drafts if the WG supports them.

I appreciate the work Harlan has done in the last few months over this draft and others. BTW, I really think it would be helpful to discuss the extension-field-parsing pseudo-code with the WG, and make sure it is consistent with RFC5905, RFC5906, RFC7822.

Cheers,
Tal.

_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg

---

From: Harlan Stenn <[email-masked]>
Date: Wed, 22 Feb 2017 00:48:51 -0800

And as folks might expect, I disagree.

But I'm open to suggestions on how to proceed.  It feels like I'm
repeating myself when I either re-explain what's going on, or when I
refute the points Tal is making again.

I'll have code that implements what I've proposed soon.

H

-- 
Harlan Stenn <[email-masked]>
http://networktimefoundation.org - be a member!